# Mobile User Id

This is the id of the user currently logged in MBurger using MBAuth. At the moment the mobile user id is **not sent automatically** when a user log in/log out with MBAuth. It will be implemented in the future but at the moment you have to set and remove it manually when the user completes the login flow and when he logs out.

To set the mobile user id:

```
MBAudience.setMobileUserId(context: Context, mobile_user_id: String)
```

To remove it, if the user logs out:

```
MBAudience.removeMobileUserId(context: Context)
```

To get the currently saved mobile user id:

```
MBAudience.getMobileUserId()
```

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ep.mburger.cloud/android-docs/audience/untitled-6.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
